package com.tzld.piaoquan.wecom.service.Impl;

import com.alibaba.fastjson.JSONObject;
import com.tzld.piaoquan.wecom.service.AccessTokenService;
import com.tzld.piaoquan.wecom.service.MessageService;
import com.tzld.piaoquan.wecom.utils.HttpClientUtil;
import com.tzld.piaoquan.wecom.utils.HttpPoolClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.io.IOException;

@Service
public class MessageServiceImpl implements MessageService {

    private static final HttpPoolClient httpPoolClientDefault = HttpClientUtil.create(30000, 30000, 2000, 5000, 5, 30000);

    private final String POST_MESSAGE_PUSH_URL = "https://open.weibanzhushou.com/open-api/group_msg/add";

    @Autowired
    private AccessTokenService accessTokenService;

    public void pushMessage(JSONObject jsonObject) {
        try {
            String accessToken = accessTokenService.getAccessToken();
            jsonObject.put("access_token", accessToken);
            httpPoolClientDefault.postJson(POST_MESSAGE_PUSH_URL, jsonObject.toJSONString());
        }catch (IOException e){
            e.printStackTrace();
        }
    }
}
